curl
curl -sS "https://gateway.orbit/api/v1/database-connections/app" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'
{
"data": {
"id": 123,
"slug": "<string>",
"driver": "<string>",
"node_id": 123,
"host": "<string>",
"port": 123,
"database": "<string>",
"path": "<string>",
"username": "<string>",
"has_password": true,
"server": "<string>",
"owner_instance_id": 123,
"test_database": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Database connections
Show a Database connection
Show one Database connection.
GET
/
api
/
v1
/
database-connections
/
{database_connection}
curl
curl -sS "https://gateway.orbit/api/v1/database-connections/app" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'
{
"data": {
"id": 123,
"slug": "<string>",
"driver": "<string>",
"node_id": 123,
"host": "<string>",
"port": 123,
"database": "<string>",
"path": "<string>",
"username": "<string>",
"has_password": true,
"server": "<string>",
"owner_instance_id": 123,
"test_database": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}